## org.gnu.gdk
Class EventExpose

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.EventExpose

public class EventExpose
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`EventExpose(Handle handle)`

Method Summary
`Rectangle` `getArea()`
`protected static Handle` `getArea(Handle obj)`
`int` `getCount()`
`protected static int` `getCount(Handle obj)`
`Region` `getRegion()`
`protected static Handle` `getRegion(Handle obj)`
`boolean` `getSendEvent()`
`protected static boolean` `getSendEvent(Handle obj)`
`protected static int` `getType(int obj)` BEGINNING OF GENERATED CODE
`Window` `getWindow()`
`protected static Handle` `getWindow(Handle obj)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventExpose

    public EventExpose(Handle handle)

Method Detail

### getWindow

    public Window getWindow()

### getSendEvent

    public boolean getSendEvent()

### getArea

    public Rectangle getArea()

### getRegion

    public Region getRegion()

### getCount

    public int getCount()

### getType

    protected static final int getType(int obj)

  BEGINNING OF GENERATED CODE

### getWindow

    protected static final Handle getWindow(Handle obj)

### getSendEvent

    protected static final boolean getSendEvent(Handle obj)

### getRegion

    protected static final Handle getRegion(Handle obj)

### getCount

    protected static final int getCount(Handle obj)

### getArea

    protected static final Handle getArea(Handle obj)